# Change a Job's Status Moves the job forward to not_started, in_progress or completed. Moving backwards returns 400. Resending the current status is safe to retry. Completing a job locks its folder. Endpoint: PUT /api/v1/jobs/{job_id}/status Security: BearerAuth ## Path parameters: - `job_id` (number, required) ID of the job Example: "101" ## Request fields (application/json): - `status` (string, required) Target status for the job. Any other value is rejected with 400. Enum: "not_started", "in_progress", "completed" - `version` (number, required) The version returned by the last read of this job. ## Response 200 fields (application/json): - `data` (object) - `data.id` (number) - `data.name` (string) - `data.status` (string) - `data.folder_id` (number) - `data.custom_field_values` (array) - `data.custom_field_values.custom_field_id` (number) - `data.custom_field_values.value` (string,null) - `data.custom_field_values.version` (number,null) - `data.created_by` (object) - `data.updated_by` (object) - `data.created_at` (string) - `data.updated_at` (string) - `data.start_date` (string,null) - `data.end_date` (string,null) - `data.notes` (string,null) - `data.external_job_link` (string,null) - `data.started_at` (string,null) - `data.completed_at` (string,null) ## Response 400 fields (application/json): - `message` (string) - `errors` (object,null) ## Response 401 fields (application/json): - `message` (string) - `errors` (object,null) ## Response 403 fields (application/json): - `message` (string) - `errors` (object,null) ## Response 404 fields (application/json): - `message` (string) - `errors` (object,null) ## Response 409 fields (application/json): - `message` (string) - `errors` (object,null) ## Response 429 fields (application/json): - `message` (string)